ProfileService
Date: 2012-06-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.framework.userprofiles.commons
Class ProfileService

    java.lang.Object
      org.gcube.application.framework.userprofiles.commons.ProfileService

    public class ProfileService

extends java.lang.Object

Author:
  Rena - NKUA

Constructor Summary
`ProfileService(java.lang.String username, GCUBEScope scope)` The constructor

Method Summary
`ProfileAdministrationPortType` | `getProfileAdministration(org.ietf.jgss.GSSCredential cred)`
`UserProfileAccessPortType` | `getUserProfileAccess(org.gridforum.jgss.ExtendedGSSCredential cred)`
`UserProfileAccessPortType` | `getUserProfileAccess(UserProfileAccessFactoryPortType upa, org.gridforum.jgss.ExtendedGSSCredential cred)`
`UserProfileAccessFactoryPortType` | `getUserProfileAccessFactory()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileService

    public ProfileService(java.lang.String username,
                          GCUBEScope scope)

  The constructor

  Parameters:
    `username` - the user for each it will get the profile (Resource)
    `scope` - the scope of the active VRE

Method Detail

### getUserProfileAccessFactory

    public UserProfileAccessFactoryPortType getUserProfileAccessFactory()

  Returns:
    UserProfileAccessFactoryPortType

### getUserProfileAccess

    public UserProfileAccessPortType getUserProfileAccess(org.gridforum.jgss.ExtendedGSSCredential cred)

  Parameters:
    `cred` - the X509 credential
  Returns:
    UserProfileAccessPortType

### getUserProfileAccess

    public UserProfileAccessPortType getUserProfileAccess(UserProfileAccessFactoryPortType upa,
                                                          org.gridforum.jgss.ExtendedGSSCredential cred)

  Parameters:
    `upa` - UserProfileAccessFactoryPortType
    `cred` - an X509 credential
  Returns:
    UserProfileAccessPortType

### getProfileAdministration

    public ProfileAdministrationPortType getProfileAdministration(org.ietf.jgss.GSSCredential cred)

  Parameters:
    `cred` - the X509 credential
  Returns:
    a port type for profile admin service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD